using System;

internal sealed class Delegate30 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate30 delegate30_1)
	{
		delegate30_1(object_0);
	}

	public extern Delegate30(object object_0, IntPtr intptr_0);

	static Delegate30()
	{
		Class10.smethod_13(typeof(Delegate30).TypeHandle);
	}

	internal static Delegate30 delegate30_0;
}
